### Method

# Camel Store can_refresh_folder

since: 2.22

#### Declaration [src]

    gboolean
    camel_store_can_refresh_folder (
      CamelStore* store,
      CamelFolderInfo* info,
      GError** error
    )

#### Description [src]

Returns if this folder (param info) should be checked for new mail or not. It should not look into sub infos (info->child) or next infos, it should return value only for the actual folder info. Default behavior is that all Inbox folders are intended to be refreshed.

Available since: 2.22

#### Parameters

`info`

  Type: `CamelFolderInfo`

  A `CamelFolderInfo`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether folder should be checked for new mails.